Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 9 Nov 2012 18:19:07 +0000 (UTC)
From:      jb <jb.1234abcd@gmail.com>
To:        freebsd-questions@freebsd.org
Subject:   portmaster or ports (packaging) problem ?
Message-ID:  <loom.20121109T185346-666@post.gmane.org>

Next in thread | Raw E-Mail | Index | Archive | Help
Hi,
I hit a problem today during a system update.

There were two libxul ports:
/usr/ports/www/libxul
/usr/ports/www/libxul19
of which the last one was installed:
/var/db/pkg/libxul-1.9.2.28_1/

There was a port to update which died on error:
# portmaster icedtea-web
...
===>>> The dependency for www/libxul
       seems to be handled by libxul-1.9.2.28_1
...
===>   Found libxul-1.9.2.28_1, but you need to upgrade to libxul>=10.
*** [build-depends] Error code 1
...
#

So, I had to manually deinstall www/libxul19 and install www/libxul and try
again.

# portmaster icedtea-web
...
===>>> The following actions will be taken if you choose to proceed:
        Upgrade icedtea-web-1.3_1 to icedtea-web-1.3.1
        Install www/libxul
...
#

Is the portmaster to blame for not being smart enough and not taking steps
of deinstalling www/libxul19 and installing www/libxul in one step ?
jb





Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?loom.20121109T185346-666>